user: git
group: git
services:
  - postgres
before_precompile: ./bin/pkgr_before_precompile.sh
env: 
  - SKIP_STORAGE_VALIDATION=true 
targets:
  debian-7: &wheezy
    build_dependencies:
      - libkrb5-dev
      - libicu-dev
      - cmake
      - pkg-config
    dependencies:
      - libicu48
      - libpcre3
      - git
  ubuntu-12.04: *wheezy
  ubuntu-14.04:
    build_dependencies:
      - libkrb5-dev
      - libicu-dev
      - cmake
      - pkg-config
    dependencies:
      - libicu52
      - libpcre3
      - git
  ubuntu-16.04:
    build_dependencies:
      - libkrb5-dev
      - libicu-dev
      - cmake
      - pkg-config
    dependencies:
      - libicu55
      - libpcre3
      - git
  centos-6:
    build_dependencies:
      - krb5-devel
      - libicu-devel
      - cmake
      - pkgconfig
    dependencies:
      - libicu
      - pcre
      - git
